import edu.rice.cs.mint.runtime.*;

public class SeparableSample8 {
    public int f = 1;
    public void run() {
        Code<? extends Runnable> cr = <|
            new Runnable() {
            int field = 1;
            public void run() {
                field = 2; // this is okay
            }
        } |>;
        // Code<Void> cv = <| { f = 2; } |>; // error
    }
    public static void main (String [] args) {
        new SeparableSample8().run();
    }
}
